\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,../kbordermatrix,../../dcpic,pictexwd}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem{sol}{Solution}

\newcommand{\cl}{\operatorname{cl}}
\newcommand{\dash}{\nobreakdash-\hspace{0pt}}
\newcommand{\del}{\ensuremath{\backslash}}
\newcommand{\mcal}[1]{\ensuremath{\mathcal{#1}}}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 3 \hfill
Solutions.
\vspace{1ex}\hrule\vspace{1ex}

\begin{sol}
Assume that $M \del e=M/e$.
Assume also that $e$ is neither a loop
nor a coloop.
This means that there is a basis containing
$e$, and a basis that does not contain $e$.
Let $B$ be a basis such that $e \notin B$.

Then $B$ is independent in $M \del e$, so
it must be independent in $M/e$.
Since $e$ is not a loop, this means that
$B\cup e$ is independent in $M$, but this is a
contradiction, as $B$ is a basis.
Therefore we must conclude that $e$ is a loop or a coloop.
\end{sol}

\begin{sol}
There are four connected matroids with four elements:
$U_{1,4}$, $U_{2,4}$, $U_{3,4}$, and the
matroid with ground set $\{a,b,c,d\}$ and
$\{a,b\}$, $\{a,c,d\}$, and $\{b,c,d\}$ as its
collection of circuits.
\end{sol}

\begin{sol}
If $n\leq 1$, then $U_{r,n}$ will be trivially connected,
so we assume that $n \geq 2$.
If $r=n$, then $U_{r,n}$ has a coloop, and is therefore
not connected.
Similarly, if $r=0$, then $U_{r,n}$ has a loop, so is not
connected.
If $0<r<n$, then every set of size $r+1$ is a circuit, so
every pair of elements is in a common circuit.
Therefore $U_{r,n}$ is connected.
\end{sol}

\begin{sol}
  \begin{enumerate}[(i)]
  \item Assume that $e$ is not a coloop, and let $B$ be a basis
that does not contain $e$.
Then $B$ is independent in $M \del e$.
If $B$ is not maximally independent in $M\del e$, then it
is properly contained in an independent set $B'$ of $M\del e$.
But $B'$ must be independent in $M$, and it properly contains
a basis of $M$.
This contradiction shows that $B$ is a basis of $M\del e$,
so $r(M\del e)=|B|=r(M)$.

Now assume that $e$ is a coloop of $M$.
Let $B$ be a maximally independent set in $M\del e$.
If $B\cup e$ is not independent in $M$, then it
contains a circuit, and this circuit contains $e$.
This contradicts the fact that $e$ is a coloop.
Therefore $B\cup e$ is independent in $M$.

Assume that $B\cup e$ is not a basis of $M$.
Then it is properly contained in an independent
set $B'$.
As $B\cup e$ and $B'$ both contain $e$, it follows that
$B'-e$ properly contains $B$.
As $B'-e$ is independent in $M\del e$ this is a contradiction.
Therefore $B\cup e$ is a basis of $M$, so
$r(M)=|B\cup e|=|B|+1=r(M\del e)+1$, and we are done.

\item
This follows by duality.
If $e$ is not a loop, then $e$ is not a coloop of
$M^{*}$.
Therefore $r(M^{*})=r(M^{*}\del e)=r((M/e)^{*})$, which implies that
$|E|-r(M)=|E-e|-r(M/e)$.
Therefore $|E|-r(M)=|E|-1-r(M/e)$, which implies the
result.
Similarly, if $e$ is a loop, then $e$ is a coloop of $M^{*}$, so
$r(M^{*})=r(M^{*}\del e)+1=r((M/e)^{*})+1$.
Hence $|E|-r(M)=|E-e|-r(M/e)+1$, and we deduce that
$r(M)=r(M/e)$.

  \end{enumerate}
\end{sol}

\begin{sol}
  \begin{enumerate}[(i)]
  \item The uniform matroid $U_{r,n}$ has rank $r$, and any circuit
has cardinality $r+1$ (if a circuit exists).
Therefore any uniform matroid is paving.
\item Consider $U_{0,0}\oplus U_{2,2}$.
This has rank $2$, but it has a circuit of size $1$, so it
is not paving.

\item
Assume that $e$ is not a coloop.
Then $r(M\del e)=r(M)$.
If $C$ is a circuit of $M\del e$, then $C$ is also
a circuit of $M$, and
$|C|\in\{r(M),r(M)+1\}=\{r(M\del e),r(M\del e)+1\}$.
This means that $M\del e$ is paving.

If $e$ is a coloop, then
$r(M\del e)=r(M)-1$.
Assume that $C$ is an arbitrary circuit of $M\del e$.
Then $C$ is a circuit of $M$, so
$|C|\in\{r(M),r(M)+1\}$.
If $|C|=r(M)+1$, then $C-f$ is a basis, for
any element $f \in C$.
Now $e \notin C$, since $e$ is a coloop.
Therefore $C-f$ is a basis that does not contain
$e$, a contradiction.
We conclude that $|C|=r(M)$, so
$|C|=r(M\del e)+1$.
Therefore $M\del e$ is paving.

Now assume that $e$ is not a loop.
Then $r(M/e)=r(M)-1$.
Assume that $C$ is a circuit of $M/e$.
Then $C\cup e$ is dependent in $M$, but
$(C-f)\cup e$ is independent, for any element
$f\in C$.
This means that $C\cup e$ contains a unique circuit
of $M$, and this circuit contains $C$.
If the circuit contains $e$ also, then
$C\cup e$ is a circuit of $M$, so
$|C\cup e|\in\{r(M),r(M)+1\}$.
Thus $|C|\in\{r(M)-1,r(M)\}=\{r(M/e),r(M/e)+1$.
Therefore we assume that $C$ is a circuit of $M$.
If $|C|=r(M)+1$, then $C-f$ is a basis, so $(C-f)\cup e$
contains a circuit.
But this contradicts the fact that $C\cup e$ contains a
unique circuit.
Therefore $|C|=r(M)=r(M/e)+1$, so $M/e$ is paving.

If $e$ is a loop, then $M/e=M\del e$, and we can conclude that
from a previous argument that $M/e$ is paving.

\item (Due to M. Haskell)
We have shown that $U_{0,0}\oplus U_{2,2}$ is not paving.
Its only single-element deletions or contractions
are isomorphic to $U_{0,1}\oplus U_{0,0}$ or $U_{2,2}$.
These are both paving.
Therefore $U_{0,0}\oplus U_{2,2}$ is an excluded minor for the class of
paving matroids.

We will show that it is the only excluded minor.
Assume that $M$ is not paving.
Then it contains a circuit $C$ such that
$|C|<r(M)$.
Choose an element $e \in C$.
Then $C-e$ is contained in a basis $B$.
Since $|C-e| \leq |B|-2$, we can find two elements
$f,g\in B-C$.
Note that $e \notin B$, since otherwise $B$ contains $C$.
Therefore $e,f,g$ are distinct elements.
It is not difficult to verify that
$M/(B-\{f,g\})\del (E-(B\cup e))$ is isomorphic to
$U_{0,0}\oplus U_{2,2}$.
Therefore $M$ is equal to $U_{0,0}\oplus U_{2,2}$,
and we are done.
  \end{enumerate}
\end{sol}

\begin{sol}
Every uniform matroid is paving, so the disconnected
uniform matroids are examples of paving matroids that
are not connected.
The only other examples are of the form
$U_{n-1,n}\oplus U_{1,1}$, where $n\geq 1$.
You should confirm that these are paving matroids.
\end{sol}

\begin{sol}
  \begin{enumerate}[(i)]
  \item The bases of $M_{1}\oplus M_{2}$ are the sets of the
form $B_{1}\cup B_{2}$, where $B_{i}$ is a basis of $M_{i}$.
A set of the form $H_{1}\cup E_{1}$ is maximal with respect to
not containing one of these bases, so it is therefore a
hyperplane of $M_{1}\oplus M_{2}$.
The same argument shows that $E_{1}\cup H_{2}$ is a hyperplane.

Now let $H$ be a hyperplane of $M_{1}\oplus M_{2}$.
Assume that $H\cap E_{1}\ne E_{1}$.
Then there is an element $e \in E_{1}-H$, and
$H\cup e$ contains a basis of $M_{1}\oplus M_{2}$.
Therefore $H\cup e$ contains a basis of $M_{2}$.
As no basis of $M_{2}$ contains $e$ it follows that
$H$ contains a basis $B_{2}$ of $M_{2}$.
If $f \in E_{2}-H$, then
there is a circuit $C\subseteq B_{2}\cup f\subseteq H\cup f$,
and this circuit contains $f$.
Thus $f\in\cl(H)$.
As $H$ is a flat, we conclude that $f \in H$.
Therefore $H$ contains $E_{2}$, and $H\cap E_{1}$
is maximal with respect to not containing a basis of
$M_{1}$.
Hence $H$ has the form $H_{1}\cup E_{1}$.

The same argument shows that if $H\cap E_{2}\ne E_{2}$,
then $H$ has the form $E_{1}\cup H_{2}$.

\item
$C^{*}$ is a circuit of $(M_{1}\oplus M_{2})^{*}$ if
and only if its complement is a hyperplane of
$M_{1}\oplus M_{2}$, which is true if and only if
the complement of $C^{*}$ has the form $H_{1}\cup E_{2}$
or $E_{1}\cup H_{2}$.
This is true if and only if $C^{*}$ is a cocircuit of
$M_{1}$ or $M_{2}$.
So the circuits of $(M_{1}\oplus M_{2})^{*}$ are
exactly the circuits of $M_{1}^{*}$ along with the
circuits of $M_{2}^{*}$.
But this means that the circuits of
$(M_{1}\oplus M_{2})^{*}$ are exactly the circuits of
$M_{1}^{*}\oplus M_{2}^{*}$, and we are done.

  \end{enumerate}
\end{sol}

\begin{sol}
(Due to M. Welsh)
If $\{e,f\}$ is a cocircuit of $M$, and $|E|\geq 3$, then
$E - \{e,f\}$ is non-empty, and is a hyperplane of $M$.
So $r(E - \{e,f\}) = r(M) - 1$. Furthermore,
$\{e,f\}$ is a circuit of $M$, so $r(\{e,f\}) = 1$.
Hence $r(E - \{e,f\}) + r(\{e,f\}) - r(M)=0$, so the partition
$(\{e,f\}, E - \{e,f\})$ is a 1-separation of $M$, and hence
$M$ is not connected.
\end{sol}

\begin{sol}
Consider the rank\dash $3$ matroids shown in the following
diagram.
\begin{center}
\includegraphics{432_sol3_fig1}
\end{center}
You should confirm that both are connected, but that
$M\del e$ is not connected in the first case, and that
$M/e$ is not connected in the second case.
\end{sol}

\begin{sol}
(Due to B. Clark)

Let $M=(E,\mathcal{I})$ be a 2-connected matroid and $e\in E$. Let $r^{\prime}$ be the rank function of $M\setminus e$ and $r^{\prime \prime}$ the rank function of $M/e$. Assume that both $M\setminus e$ and $M/e$ are disconnected. Then there exist partitions $(S,T)$ and $(U,V)$ of $E-x$ such that
\begin{equation}
r^{\prime}(S)+r^{\prime}(T)=r^{\prime}(M\setminus e) \text{ and } r^{\prime \prime}(U) + r^{\prime \prime}(V)=r^{\prime \prime}(M/e).
\end{equation} Since $M$ is 2-connected, $e$ is neither a loop or coloop. Therefore $r^{\prime}(M\setminus e)=r(M)$ and $r(\{e\})=1$. Hence equation (1) becomes
\begin{equation}
r(S)+r(T)=r(M) \text{ and } r(U\cup e)+r(V\cup e)=r(M)+1.
\end{equation}so the 2-connectedness of $M$ and equation (2) imply that 
\begin{equation}
r(S\cup e) = r(S)+1, r(T\cup e)=r(T)+1
\end{equation}and
\begin{equation}
r(U\cup e)=r(U), r(V\cup e)=r(V). 
\end{equation}
so equations (2) and (4) give
\begin{equation}
 r(U)+r(V)=r(M)+1.
\end{equation}Consider the pairs of subsets $(S\cap U,T\cup V)$ and $(S\cup U,T\cap V)$ of $E-e$. Then $(S\cap U)\cup (T\cup V)=(S\cup U)\cup (T\cap V)=E-e$ and $(S\cap U)\cap (T\cup V)=(S\cup U)\cap (T\cap V)=\emptyset$. So by the submodular inequality
\begin{equation}
r(S\cap U)+r(T\cup V)\geq r(E-e)=r(M)
\end{equation}and
\begin{equation}
r(S\cup U)+r(T\cap V)\geq r(E-e)=r(M).
\end{equation}Another application of the submodular inequality gives
\begin{equation}
 r(S\cap U)+r(T\cup V)\leq r(S\cap U)+r(T)+r(V)-r(T\cap V)
\end{equation}
\begin{equation}
 r(S\cup U)+r(T\cap V)\leq r(S)+r(U)-r(S\cap U)+r(T\cap V)
\end{equation}so
\begin{equation}
 r(S\cap U)+r(T\cup V)+r(S\cup U)+r(T\cap V)\leq 2r(M)+1
\end{equation}Relabelling if necessary, can assume by (6), (7), and (10) that
\begin{equation}
 r(S\cap U)+r(T\cup V)=r(M).
\end{equation}Now $(S\cap U)\cup(T\cup V\cup e)=E$ and $(S\cap U)\cap(T\cup V\cup e)=\emptyset$. Moreover,  by (4) and (11)
\begin{equation}
r(S\cap U)+r(T\cup V\cup e)=r(M)
\end{equation}But $M$ is 2-connected, so $(S\cap U,T\cup V\cup e)$ is not a 1-separation. This implies that $S\cap U=\emptyset$. But then $U\subseteq T$ and, since $r(U\cup e)=r(U)$ by (4), there is a circuit  $C$ such that $e\in C\subseteq U\cup e\subseteq T\cup e$. This is contrary to $r(T\cup e)=r(T)+1$ in (3). 
\end{sol}

\end{document}